## org.apache.cassandra.db.commitlog
Class CommitLogReplayer

    java.lang.Object
      org.apache.cassandra.db.commitlog.CommitLogReplayer

    public class CommitLogReplayer

extends java.lang.Object

Constructor Summary
`CommitLogReplayer()`

Method Summary
`int` `blockForWrites()`
`protected boolean` `pointInTimeExceeded(RowMutation frm)`
`void` `recover(java.io.File file)`
`void` `recover(java.io.File[] clogs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommitLogReplayer

    public CommitLogReplayer()

Method Detail

### recover

    public void recover(java.io.File[] clogs)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### blockForWrites

    public int blockForWrites()
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### recover

    public void recover(java.io.File file)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### pointInTimeExceeded

    protected boolean pointInTimeExceeded(RowMutation frm)

Copyright © 2013 The Apache Software Foundation